> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/it/api-pubblica-di-exoclick/api-manual-rate-limiting.md).

# Limitazione della frequenza

## Limiti complessivi delle richieste

L'API è soggetta a limitazione di frequenza a 150 richieste ogni 60 secondi. Tutte le richieste contribuiscono al totale. Ogni richiesta elaborata dall'API restituisce informazioni sulla limitazione di frequenza nelle intestazioni HTTP.

{% hint style="info" %}
**Nota**: La limitazione di frequenza si basa sia sul nome utente sia sull'indirizzo IP. Pertanto, un singolo nome utente è limitato a 150 richieste ogni 60 secondi, così come un singolo indirizzo IP.
{% endhint %}

## Limiti delle richieste di accesso

Le richieste di accesso sono soggette a limitazione a **10 richieste ogni 60 secondi**. Tutte le richieste contribuiscono al totale.

{% hint style="info" %}
**Nota**: L'IP e il nome utente di ogni richiesta di statistiche effettuata contribuiranno a questi limiti.
{% endhint %}

## Limiti delle richieste di statistiche

Le richieste di statistiche sono soggette a limitazione a 30 richieste al minuto per ciascun indirizzo IP e 25 richieste al minuto per ciascun nome utente.

{% hint style="info" %}
**Nota**: L'IP e il nome utente di ogni richiesta di statistiche effettuata contribuiranno a questi limiti.
{% endhint %}

Ad esempio, se accedi con il tuo nome utente da un singolo computer ed effettui 25 richieste di statistiche, la successiva che farai fallirà. Tuttavia, potresti cambiare a un nome utente diverso ed effettuare altre 5 richieste di statistiche, prima di raggiungere il limite dell'indirizzo IP.

## Esempi

### Limitazione di frequenza - Esempio 1

```bash
$ curl -i https://api.example.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "200 OK",
  "Date": "Fri, 24 Oct 2014 14:57:32 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 44,
  "X-Rate-Limit-Reset": 27
}
```

Quando il limite di frequenza viene superato, una *429 Troppe richieste* errore HTTP verrà generato da qualsiasi richiesta successiva fino al ripristino del limite di frequenza. Come per una richiesta normale, le informazioni sulla limitazione di frequenza saranno disponibili nelle intestazioni HTTP.

### Limitazione di frequenza - Esempio 2 (limite superato)

```bash
$ curl -i https://api.example.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "429 Troppe richieste",
  "Date": "Fri, 24 Oct 2014 15:04:35 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 0,
  "X-Rate-Limit-Reset": 12
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/it/api-pubblica-di-exoclick/api-manual-rate-limiting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
